Issue 122396 - Support boost's TR1 as AOO's standard template library
Support boost's TR1 as AOO's standard template library
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: hdu@apache.org
:
Depends on: 122208
Blocks: 122362
  Show dependency treegraph
 
Reported: 2013-05-28 09:34 UTC by hdu@apache.org
Modified: 2013-07-11 06:59 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2013-05-28 09:34:35 UTC
Boost's TR1 library (http://www.boost.org/libs/tr1) wraps and extends the system STL, which sometimes makes things easier. E.g. for some containers it allows template arguments with incomplete types which is not required by the C++ standard. On some systems boost's TR1 can be considered to be the system STL. 

Problems that prevent boost's TR1 library to be AOO's standard template library need be solved. Currently AOO already uses boost in the version 1.48.
Comment 1 SVN Robot 2013-05-28 09:36:04 UTC
"hdu" committed SVN revision 1486833 into trunk:
#i122396# prevent boost from using typeids in connectivity's no-rtti parts
Comment 2 SVN Robot 2013-06-03 19:14:56 UTC
"hdu" committed SVN revision 1489108 into trunk:
#i122396# add a boost dependency to stlport
Comment 3 hdu@apache.org 2013-07-11 06:59:35 UTC
Boost's TR1 implementation will be AOO 4.0's standard template library on Linux, FreeBSD, Mac 32bit, OS/2 and eventually Solaris. On Windows MSVC's TR1 will be used. For Mac 64bit libc++ will be used.